package com.arms.api.analysis.time.model.dto;

import com.arms.api.util.model.dto.PdServiceAndIsReqDTO;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class TimeAggrDTO {

    PdServiceAndIsReqDTO pdServiceAndIsReq;

    String startDate;

    String endDate;

    public Long getPdServiceLink(){
        return pdServiceAndIsReq.getPdServiceId();
    }

    public List<Long> getPdServiceVersionLinks(){
        return pdServiceAndIsReq.getPdServiceVersions();
    }
}
